#ifndef REALITY_GAP_LOOP_FUNCTIONS_H
#define REALITY_GAP_LOOP_FUNCTIONS_H

#include <argos3/core/simulator/loop_functions.h>
#include <argos3/core/simulator/entity/floor_entity.h>
#include <argos3/core/utility/math/range.h>
#include <argos3/core/utility/math/rng.h>
#include "tcpconnection.h"

using namespace argos;

class CRealityGapLoopFunctions : public CLoopFunctions {

public:

   CRealityGapLoopFunctions();
   virtual ~CRealityGapLoopFunctions() {}

   virtual void Init(TConfigurationNode& t_tree);
   virtual void Reset();
   virtual void Destroy();
   virtual CColor GetFloorColor(const CVector2& c_position_on_plane);


private:
   
};

#endif
